#
# spec file for package ncdu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ncdu
Version:        1.13
Release:        1.1
Summary:        NCurses Disk Usage
License:        MIT
Group:          System/Filesystems
Url:            https://dev.yorhel.nl/ncdu/
Source0:        https://dev.yorhel.nl/download/%{name}-%{version}.tar.gz
Source1:        https://dev.yorhel.nl/download/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  ncurses-devel

%description
ncdu (NCurses Disk Usage) is a curses-based version of
the well-known 'du', and provides a fast way to see what
directories are using your disk space.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%doc ChangeLog README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Wed Feb  7 2018 avindra@opensuse.org
- Update to 1.13
  * Add "extended information" mode and -e flag
  * Add file mode, modification time and uid/gid to info window
    with -e
  * Add experimental color support and --color flag
  * Add -rr option to disable shell spawning
  * Remove directory nesting limit on file import
  * Fix handling of interrupts during file import
- cleanup with spec-cleaner
- use https urls
* Sat Dec 31 2016 matthias.eliasson@gmail.com
- Update to 1.12
  * Add NCDU_SHELL environment variable
  * Add --confirm-quit flag
  * Fix compilation due to missing sys/wait.h
- Remove include_sys_wait.patch. Fixed upstream
* Thu Apr 28 2016 toddrme2178@gmail.com
- Update to 1.11
  * Added 'b' key to spawn shell in the current directory
  * Support scanning (and refreshing) of empty directories
  * Added --si flag for base 10 prefixes
  * Fix toggle dirs before files
- Spec file cleanups
- Add include_sys_wait.patch.  Fixes building on earlier distros.
  The patch is includes upstream and should be in the next release.
  Please see:
  + https://dev.yorhel.nl/ncdu/bug/70
  + https://g.blicky.net/ncdu.git/commit/?id=29f347c19cb7ad17c4b401e1d984fce8eafaaafa
* Sat Aug 31 2013 lazy.kent@opensuse.org
- Update to 1.10.
  * Added 'c' key to display item counts.
  * Added 'C' key to order by item counts.
  * Added CACHEDIR.TAG support and --exclude-caches option.
  * Use locale-dependent thousand separator.
  * Clip file/dir sizes to 8 EiB minus one byte.
  * Fix buffer overflow when formatting huge file sizes.
- Verify GPG signature.
* Thu Oct 18 2012 pascal.bleser@opensuse.org
- update to 1.9:
  * added option to dump scanned directory information to a file (-o)
  * added option to load scanned directory information from a file (-f)
  * added multiple scan and load interfaces (-0,-1,-2)
  * fit loading and error windows to the terminal width (#13)
  * fix symlink resolving bug (#18)
  * fix path display when scanning an empty directory (#15)
  * fix hang when terminal is resized to a too small size while loading
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- moved from Packman/Extra to utilities on build.o.o
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- update to 1.8:
  * use hash table to speed up hard link detection
  * added read-only option (-r)
  * use KiB instead of kiB (sf#3399279)
* Fri Aug 13 2010 toni@links2linux.de
- update to 1.7
- This release has improved handling of hard links, a more intuitive
  multi-page browser, and various performance improvements and bugfixes.
* Fri Oct 23 2009 toni@links2linux.de
- update to 1.6
- This release adds hard link detection, VIM keybindings, improved support for
  non-ASCII characters in filenames, and fixes for several bugs.
* Sun May  3 2009 toni@links2linux.de
- update to 1.5
* Mon Dec 17 2007 marekstopka@gmail.com
- new package created
